import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:fusionsdk/fusion_ad_sdk.dart';
import 'dart:io';

class RewardVideoPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: true,
      primary: true,
      appBar: AppBar(),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            MaterialButton(
                color: Colors.blue,
                textColor: Colors.white,
                onPressed: () {
                  var codeId;
                  if(Platform.isAndroid) {
                    codeId = "89810939821424640";
                  }
                  if(Platform.isIOS) {
                    codeId = "196014132883881984";
                  }
                  FusionAdSdk.loadRewardVideoAd(
                    {"codeId": codeId, "userId": "your userId","ext":"your ext"},
                    onAdLoad: () {
                      print("RewardVideoAd onAdLoad");
                    },
                    onAdShow: () {
                      print("RewardVideoAd onAdShow");
                    },
                    onAdClick: () {
                      print("RewardVideoAd onAdClick");
                    },
                    onVideoComplete: () {
                      print("RewardVideoAd onVideoComplete");
                    },
                    onReward: () {
                      print("RewardVideoAd onReward");
                    },
                    onAdClose: () {
                      print("RewardVideoAd onAdClose");
                    },
                    onAdError: (int code, String message) {
                      print("RewardVideoAd onAdError :  $code  $message");
                    },
                  );
                },
                child: Text("加载激励视频广告")),
          ],
        ),
      ),
    );
  }
}
