package com.fusion.fusionsdk.utils;

import java.util.HashMap;

public class EventUtils {

    public static HashMap<String, Object> buildEventMap(Object value) {
        HashMap<String, Object> map = new HashMap<>();
        map.put(Constants.EVENT, value);
        return map;
    }

    //TODO 用map处理
    public static HashMap<String, Object> buildRewardEventMap(Object data) {
        HashMap<String, Object> map = new HashMap<>();
        map.put(Constants.EVENT, Constants.ON_VIDEO_REWARD);
        map.put(Constants.DATA, data);
        return map;
    }


    public static HashMap<String, Object> buildEventErrorMap(int code, String errorMsg) {
        HashMap<String, Object> map = new HashMap<>();
        map.put(Constants.EVENT, Constants.ON_AD_ERROR);
        map.put(Constants.CODE, code);
        map.put(Constants.MESSAGE, errorMsg);
        return map;
    }
}
